[SRU Zesty] Target: Configfs Crashes and kernel crash fixes

Bug #1677685 reported by bugproxy
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
High
Canonical Kernel Team

Bug Description

A number of patches that need to be backported for target subsystem.

target: Don't BUG_ON during NodeACL dynamic -> explicit conversion
https://patchwork.kernel.org/patch/9560085/

target: Use correct SCSI status during EXTENDED_COPY exception
https://patchwork.kernel.org/patch/9560083/

target: Fix early transport_generic_handle_tmr abort scenario
https://patchwork.kernel.org/patch/9560077/

target: Fix multi-session dynamic se_node_acl double free OOPs
https://patchwork.kernel.org/patch/9560081/

target: Fix COMPARE_AND_WRITE ref leak for non GOOD status
https://patchwork.kernel.org/patch/9560065/

target: Fix NULL dereference during LUN lookup + active I/O shutdown
https://patchwork.kernel.org/patch/9587799/

target: Avoid mappedlun symlink creation during lun shutdown
https://lkml.org/lkml/2017/3/30/180

Contact Information = Bryant G. <email address hidden>

Revision history for this message
bugproxy (bugproxy) wrote : target: Don't BUG_ON during NodeACL dynamic -> explicit conversion

Default Comment by Bridge

tags: added: architecture-ppc64 bugnameltc-153041 severity-medium targetmilestone-inin1610
Revision history for this message
bugproxy (bugproxy) wrote : target: Use correct SCSI status during EXTENDED_COPY exception

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : target: Fix early transport_generic_handle_tmr abort scenario

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : target: Fix multi-session dynamic se_node_acl double free OOPs

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : target: Fix COMPARE_AND_WRITE ref leak for non GOOD status

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : target: Fix NULL dereference during LUN lookup + active I/O shutdown

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : target: Avoid mappedlun symlink creation during lun shutdown

Default Comment by Bridge

Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Tim Gardner (timg-tpi) wrote : Re: Target: Configfs Crashes and kernel crash fixes

The first 6 patches are already merged upstream and are present in Zesty. The 7th has yet to be accepted by a maintainer. To what releases are these patches targeted ?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2017-03-30 13:48 EDT-------
They are targeted for Yakkety, and the last one was submitted by the maintainer, so essentially it's pretty much accepted.

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-05-08 13:02 EDT-------
target: Avoid mappedlun symlink creation during lun shutdown
https://patchwork.kernel.org/patch/9653217/

It has been upstreamed now, and all these patches should be targeted for 16.04.02

tags: added: targetmilestone-inin16042
removed: targetmilestone-inin1610
bugproxy (bugproxy)
tags: added: targetmilestone-inin1610
removed: targetmilestone-inin16042
Manoj Iyer (manjo)
Changed in linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Manoj Iyer (manjo)
Revision history for this message
bugproxy (bugproxy) wrote : target: Use correct SCSI status during EXTENDED_COPY exception

Default Comment by Bridge

Revision history for this message
Manoj Iyer (manjo) wrote : Re: Target: Configfs Crashes and kernel crash fixes

Can you please test the kernel in https://launchpad.net/~ubuntu-power-triage/+archive/ubuntu/test/ and report back here?

Changed in linux (Ubuntu):
status: New → Incomplete
importance: Undecided → High
Changed in ubuntu-power-systems:
status: New → Incomplete
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2017-05-10 16:12 EDT-------
Works fine

tags: added: verification-done-xenial verification-done-yakkety verification-done-zesty
Manoj Iyer (manjo)
summary: - Target: Configfs Crashes and kernel crash fixes
+ [SRU Zesty] Target: Configfs Crashes and kernel crash fixes
Revision history for this message
Manoj Iyer (manjo) wrote :

SRU submitted.

Manoj Iyer (manjo)
Changed in ubuntu-power-systems:
milestone: none → 17.04-sru-3
Manoj Iyer (manjo)
tags: added: ubuntu-17.04
Manoj Iyer (manjo)
Changed in ubuntu-power-systems:
importance: Undecided → High
Changed in linux (Ubuntu):
assignee: Manoj Iyer (manjo) → Canonical Kernel Team (canonical-kernel-team)
Manoj Iyer (manjo)
tags: added: triage-g
Changed in ubuntu-power-systems:
status: Incomplete → Fix Committed
bugproxy (bugproxy)
tags: added: targetmilestone-inin1704
removed: targetmilestone-inin1610
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
Manoj Iyer (manjo)
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Brad Figg (brad-figg)
tags: added: cscc
To post a comment you must log in.